Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 831403 - net-wireless/dump1090-6.1 fails to link with LLD because of /usr/lib in the link command line
Summary: net-wireless/dump1090-6.1 fails to link with LLD because of /usr/lib in the l...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Radio Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld, systemwide-lld
  Show dependency tree
 
Reported: 2022-01-18 11:10 UTC by Agostino Sarubbo
Modified: 2022-06-14 12:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,52.65 KB, text/plain)
2022-01-18 11:10 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2022-01-18 11:10:18 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-wireless/dump1090-6.1 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses CLANG as a compiler and LLD as a linker
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2022-01-18 11:10:20 UTC
Created attachment 762496 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2022-01-18 11:10:22 UTC
Error(s) that match a know pattern:

ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.1/../../../../lib64/crt1.o is incompatible with elf32-i386
Comment 3 Larry the Git Cow gentoo-dev 2022-06-14 12:54:16 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e867e1dbccb2d262f613d5cba268672e548480af

commit e867e1dbccb2d262f613d5cba268672e548480af
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-06-14 12:54:01 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-14 12:54:06 +0000

    net-wireless/dump1090: fix build with lld
    
    Closes: https://bugs.gentoo.org/831403
    Signed-off-by: Sam James <sam@gentoo.org>

 net-wireless/dump1090/dump1090-6.1.ebuild             |  6 +++++-
 net-wireless/dump1090/files/dump1090-6.1-libdir.patch | 16 ++++++++++++++++
 2 files changed, 21 insertions(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03cd3275857a0d452d03b93c6db9700166b487a7

commit 03cd3275857a0d452d03b93c6db9700166b487a7
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-06-14 12:53:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-14 12:54:06 +0000

    net-wireless/rtl-sdr: fix libdir in .pc
    
    Bug: https://bugs.gentoo.org/831403
    Signed-off-by: Sam James <sam@gentoo.org>

 ...l-sdl-0.6.0_p2020802-fix-pkgconfig-libdir.patch | 13 +++++
 .../rtl-sdr/rtl-sdr-0.6.0_p2020802-r1.ebuild       | 62 ++++++++++++++++++++++
 net-wireless/rtl-sdr/rtl-sdr-9999.ebuild           | 18 +++----
 3 files changed, 82 insertions(+), 11 deletions(-)